body {
  background:
    linear-gradient(90deg, #2c239f 0%, #5a57d2 60%, #7677f2 100%) top/100% 40%
      no-repeat,
    linear-gradient(#ebebeb, #ebebeb) bottom/100% 60% no-repeat;
}

.contenedor-titulo-contacto {
  text-align: center;
  padding-top: 1rem;
  padding-bottom: 2rem;
}

.contenedor-titulo-contacto h1 {
  color: var(--color-blanco);
  font-family: var(--fuente-principal);
  font-size: clamp(2.6rem, 5vw, 2.8rem);
  line-height: 1;
  margin: 0;
}

.contenedor-titulo-contacto h2 {
  color: var(--color-blanco);
  font-family: var(--fuente-principal);
  font-size: clamp(1.2rem, 5vw, 1.4rem);
  line-height: 2.4rem;
  font-weight: 400;
}

.contenedor-principal-seccion-formulario {
  background-color: var(--color-blanco);
  padding: 2rem 2rem 1rem 2rem;
  border-radius: 20px;
}

.contenedor-principal-seccion-formulario h3 {
  color: var(--color-azul-rey);
  font-family: var(--fuente-principal);
  font-size: clamp(1.6rem, 5vw, 1.8rem);
  margin-top: 0;
  margin-bottom: 2rem;
  text-align: center;
}

.contenedor-divisiones-iconos-contacto {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1rem;
  margin-top: 4rem;
  margin-bottom: 4rem;
}

.tarjeta-icono-contacto {
  width: 100%;
  height: auto;
  background-color: var(--color-blanco);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  padding: 2rem;
  border-radius: 10px;
  text-align: center;
}

.tarjeta-icono-contacto p {
  font-family: var(--fuente-principal);
  font-size: clamp(1.2rem, 5vw, 1.4rem);
  color: var(--color-gris-oscuro);
}

.tarjeta-icono-contacto a {
  font-family: var(--fuente-principal);
  font-size: clamp(1.2rem, 5vw, 1.4rem);
  color: var(--color-gris-oscuro);
}

.tarjeta-icono-contacto svg {
  width: 20px;
  height: auto;
  color: var(--color-azul-rey);
}

.contenedor-principal-formulario {
}

.contenedor-divisiones-celdas-formulario {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.division-celdas-01 {
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.division-celdas-01 label {
  color: var(--color-azul-rey);
  font-family: var(--fuente-principal);
  font-size: clamp(1.2rem, 5vw, 1.4rem);
}

.division-celdas-02 {
  width: 100%;
  height: auto;
}

.division-celdas-02 label {
  color: var(--color-azul-rey);
  font-family: var(--fuente-principal);
  font-size: clamp(1.2rem, 5vw, 1.4rem);
}

.division-boton-formulario {
}

.division-boton-formulario input {
  width: 100%;
  height: 4rem;
  font-size: clamp(1.2rem, 5vw, 1.4rem);
  font-family: var(--fuente-principal);
  padding-left: 2rem;
  border-radius: 20px;
  border: solid 2px var(--color-gris-oscuro);
  margin-top: 4rem;
  background: #2c239f;
  background: linear-gradient(
    90deg,
    rgba(44, 35, 159, 1) 0%,
    rgba(90, 87, 210, 1) 60%,
    rgba(118, 119, 242, 1) 100%
  );
  color: var(--color-blanco);
}

.division-boton-formulario input:hover {
  cursor: pointer;
}

.division-boton-formulario p {
  display: flex;
  flex-direction: column;
}

.wpcf7-form-control-wrap input {
  width: 100%;
  height: 4rem;
  font-size: clamp(1.2rem, 5vw, 1.4rem);
  font-family: var(--fuente-principal);
  padding-left: 2rem;
  border-radius: 5px;
  border: solid 2px var(--color-gris-oscuro);
  margin-top: 1rem;
}

.wpcf7-form-control-wrap textarea {
  width: 100%;
  height: auto;
  min-height: 212px;
  margin-top: 1rem;
  font-size: clamp(1.2rem, 5vw, 1.4rem);
  font-family: var(--fuente-principal);
  border: solid 2px var(--color-gris-oscuro);
  border-radius: 5px;
  padding: 2rem 0 0 2rem;
}

.wpcf7-response-output {
  font-size: clamp(1.2rem, 5vw, 1.4rem);
  font-family: var(--fuente-principal);
  text-align: center;
}

@media (min-width: 590px) {
  .contenedor-titulo-contacto {
    text-align: center;
    padding-top: 5rem;
    padding-bottom: 2rem;
  }

  .contenedor-principal-seccion-formulario {
    background-color: var(--color-blanco);
    padding: 5rem 5rem 3rem 5rem;
    border-radius: 20px;
  }

  .contenedor-principal-seccion-formulario h3 {
    text-align: left;
  }

  .contenedor-divisiones-celdas-formulario {
    display: flex;
    flex-direction: row;
    gap: 5rem;
  }

  .division-celdas-01 {
    width: 50%;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 2rem;
  }

  .division-celdas-02 {
    width: 50%;
    height: auto;
  }

  .contenedor-divisiones-iconos-contacto {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 1rem;
    margin-top: 4rem;
    margin-bottom: 4rem;
  }

  .tarjeta-icono-contacto {
    width: 33.333%;
    height: auto;
    background-color: var(--color-blanco);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    padding: 2rem;
    border-radius: 10px;
    text-align: left;
  }
}
